Flourish - Feature #7866
New Response Options for Child Off-Study Form
08/04/2025 19:52 - Sara Schenkel

Status: Resolved Start date: 08/04/2025
Priority: Urgent Due date: 24/04/2025
Assignee: Ame Diphoko % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

See attached the updated edc spec form

History

#1 - 24/04/2025 17:13 - Ame Diphoko

- Due date set to 24/04/2025

- Assignee set to Ame Diphoko

#2 - 24/04/2025 17:57 - Ame Diphoko

- Status changed from New to Resolved
